\\ Copyright 2016 Kevin Ryde
\\
\\ This file is free software; you can redistribute it and/or modify it
\\ under the terms of the GNU General Public License as published by the Free
\\ Software Foundation; either version 3, or (at your option) any later
\\ version.
\\
\\ This file is distributed in the hope that it will be useful, but
\\ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
\\ or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
\\ for more details.
\\
\\ You should have received a copy of the GNU General Public License along
\\ with this file.  If not, see <http://www.gnu.org/licenses/>.

default(recover,0);
default(strictargs,1);
iferr(read("recurrence-guess.gp"),e,read("../recurrence-guess.gp"));

v=vector(20,n,n--; fibonacci(n));
bestapprPade(Ser(v))

sqrt2=quadgen(8);
v=vector(20,n,n--; n*sqrt2^n);
bestapprPade(Ser(v))
quit

\\-----------------------------------------------------------------------------
default(timer,1)
len=50;
f(n)=2^n+3^n+5^n;
f(n)=n!;

v=vector(2*len,n, f(n));
recurrence_guess(v);

half=len\2-1;
m=matrix(half,half, r,c, f(r+c));
lindep(m)


